Bug 150395 - [iOS] Allow clients to specify a custom input view to be used for a form input session
Summary: [iOS] Allow clients to specify a custom input view to be used for a form inpu...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: mitz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-21 10:00 PDT by mitz
Modified: 2015-10-24 08:55 PDT (History)
4 users (show)

See Also:


Attachments
Add customInputView property to _WKFormInputSession (2.82 KB, patch)
2015-10-21 10:02 PDT, mitz
thorton: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2015-10-21 10:00:14 PDT
[iOS] Allow clients to specify a custom input view to be used for a form input session
Comment 1 mitz 2015-10-21 10:02:24 PDT
Created attachment 263691 [details]
Add customInputView property to _WKFormInputSession
Comment 2 Wenson Hsieh 2015-10-21 10:24:58 PDT
Comment on attachment 263691 [details]
Add customInputView property to _WKFormInputSession

View in context: https://bugs.webkit.org/attachment.cgi?id=263691&action=review

> Source/WebKit2/UIProcess/ios/WKContentViewInteraction.mm:236
> +    RetainPtr<UIView> _customInputView;

Adding the WKFocusedElementInfo here would help third-party clients determine what custom view they want to show, since they won't have access to userObject when (if) we make this public.
Comment 3 mitz 2015-10-21 10:42:42 PDT
(In reply to comment #2)
> Comment on attachment 263691 [details]
> Add customInputView property to _WKFormInputSession
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=263691&action=review
> 
> > Source/WebKit2/UIProcess/ios/WKContentViewInteraction.mm:236
> > +    RetainPtr<UIView> _customInputView;
> 
> Adding the WKFocusedElementInfo here would help third-party clients
> determine what custom view they want to show, since they won't have access
> to userObject when (if) we make this public.

Agreed! I should do that in a separate patch.
Comment 4 mitz 2015-10-23 13:40:51 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > Comment on attachment 263691 [details]
> > Add customInputView property to _WKFormInputSession
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=263691&action=review
> > 
> > > Source/WebKit2/UIProcess/ios/WKContentViewInteraction.mm:236
> > > +    RetainPtr<UIView> _customInputView;
> > 
> > Adding the WKFocusedElementInfo here would help third-party clients
> > determine what custom view they want to show, since they won't have access
> > to userObject when (if) we make this public.
> 
> Agreed! I should do that in a separate patch.

See bug 150512.
Comment 5 mitz 2015-10-24 08:55:01 PDT
Committed <http://trac.webkit.org/r191534>.